Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624190 - preview window: scan area selection broken
preview window: scan area selection broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-14 03:46 EDT by Dimitri Papadopoulos
Modified: 2011-07-06 17:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: xsane-0.998-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-06 17:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unable to drag selection rectangle - "Fra2" keyboard layout (62.88 KB, image/png)
2010-08-14 04:05 EDT, Dimitri Papadopoulos
no flags Details
dragging selection rectangle - "Fra" keyboard layout (61.66 KB, image/png)
2010-08-14 04:07 EDT, Dimitri Papadopoulos
no flags Details
keyboard layout preferences (31.64 KB, image/png)
2010-08-14 04:14 EDT, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2010-08-14 03:46:19 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; fr; rv:1.9.2.7) Gecko/20100723 Fedora/3.6.7-1.fc13 Firefox/3.6.7 GTB7.1

Using the mouse to define the scan area in the preview window doesn't work here on my fedora 13 workstation.

This seems related to keyboard configuration. I have a French keyboard. By default Fedora sets the keyboard layout to "France (Obsolete)". I keep adding the "France" layout and making it the default but next time I login "France (Obsolete)" is back.

Reproducible: Always

Steps to Reproduce:
1. Use a French keyboard or at least the "France (Obsolete)" layout.
2. Run xsane.
3. Acquire preview.
4. Try to modify the scan or visible area by attempting to drag the selection rectangle. The rectangle doesn't move.
5. As soon as you change the keyboard layout from "France (Obsolete)" to "France", dragging the selection rectangle works again.
Actual Results:  
Dragging the selection rectangle using the default "France (Obsolete)" keyboard layout doesn't work.

Expected Results:  
The selection rectangle is dragged by the mouse.

I'm not sure whether this is a problem with xsane or the Gnome default keyboard layout (or both):
* Probably xsane should be made to work under the "France (Obsolete)" keyboard layout.
* Maybe the Gnome default keyboard layout should be changed from  "France (Obsolete)" to "France".
Comment 1 Dimitri Papadopoulos 2010-08-14 04:05:21 EDT
Created attachment 438786 [details]
unable to drag selection rectangle - "Fra2" keyboard layout

Notice the "Fra2" keyboard layout in the notification area of the Gnome taskbar.
Comment 2 Dimitri Papadopoulos 2010-08-14 04:07:10 EDT
Created attachment 438787 [details]
dragging selection rectangle - "Fra" keyboard layout

Notice the "Fra" keyboard layout in the notification area of the Gnome
taskbar.
Comment 3 Dimitri Papadopoulos 2010-08-14 04:14:38 EDT
Created attachment 438788 [details]
keyboard layout preferences

The "France (Obsolète) Autre" layout is automatically added every time I login in and. It's the default layout when using French keyboard.

I have added the "France" and "Grèce" layouts, xsane works fine with both layouts. However I am unable to make either of them my default layout, Gnome keeps starting with the default "France (Obsolète) Autre" layout.
Comment 4 Albert Flügel 2011-02-14 07:36:23 EST
Some notes:

* I see the problem when setting the keyboard to German (whatever version) in Gnome. Switching to US keyboard layout everything is fine

* Generally the phenomenon is exactly like outlined here: https://bugs.launchpad.net/ubuntu/+source/xsane/+bug/370818 (except that the problem only shows up with German keyboard layout), probably the same patch can be applied ?
**On this page some guys state, that it has to do with an Nvidia driver. I don't think so, because it also happens on a remote display with a SIS chip, and also happens in VNC, i.e. without a Graphics hardware involved visible to the X client (xsane).
**Someone else states, that with reinstallation the problem disappears. I upgraded to FC14 including latest patches (including xsane-0.998-1) and it did not help.

* I don't think, that the problem is Gnome- or X11-related, because any other application works ok selecting areas using the mouse (e.g. Openoffice-Draw, Gimp, ImageMagick)

* The frame can actually be moved being patient: When clicking very close to a visible frame or corner with the arrow cursor being visible, the frame boundary moves the few pixels under the pointer. This way the selected area can be changed as a workaround.

* The problem appeared already in fc12 with xsane 0.997
Comment 5 Bug Zapper 2011-06-01 07:27:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nils Philippsen 2011-06-01 08:28:36 EDT
While I couldn't reproduce this (why ever), I've looked at the patch in the launchpad bug and it seems to be a legit fix. I'll make a build with it and send the fix to upstream.
Comment 7 Fedora Update System 2011-06-24 07:23:54 EDT
xsane-0.998-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xsane-0.998-4.fc14
Comment 8 Nils Philippsen 2011-06-24 07:24:22 EDT
D'oh. Built but forgot to submit the update. Sorry!
Comment 9 Fedora Update System 2011-06-24 07:27:00 EDT
xsane-0.998-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xsane-0.998-4.fc15
Comment 10 Fedora Update System 2011-06-24 07:27:30 EDT
xsane-0.998-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xsane-0.998-4.fc13
Comment 11 Fedora Update System 2011-06-24 13:58:54 EDT
Package xsane-0.998-4.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xsane-0.998-4.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xsane-0.998-4.fc14
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-06-28 16:29:00 EDT
xsane-0.998-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-07-06 17:31:04 EDT
xsane-0.998-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.